GNU Radio's TEST Package

Classes | Namespaces | Functions
soapy_sink_c.h File Reference
`#include <gnuradio/block.h>`
`#include <gnuradio/sync_block.h>`
`#include "osmosdr/ranges.h"`
`#include "sink_iface.h"`

Go to the source code of this file.

## Classes
class | soapy_sink_c

## Namespaces
namespace | SoapySDR

## Functions
soapy_sink_c_sptr | make_soapy_sink_c (const std::string &args="")
| Return a shared_ptr to a new instance of soapy_sink_c. More...

## Function Documentation

## ◆ make_soapy_sink_c()

soapy_sink_c_sptr make_soapy_sink_c | ( | const std::string & | args = `""` | ) |

Return a shared_ptr to a new instance of soapy_sink_c.

To avoid accidental use of raw pointers, soapy_sink_c's constructor is private. make_soapy_sink_c is the public interface for creating new instances.